const development = {
    database: "mongodb://mongo:27017/DEVwebsiteDB",
    databaseName: "DEVwebsiteDB",
    host: "website",
    port: 5005,
};

const github = {
    database: "mongodb://mongo:27017/DEVwebsiteDB",
    databaseName: "DEVwebsiteDB",
    host: "website",
    port: 5005,
};

const production = {
    database: "mongodb://mongo:27017/websiteDB",
    databaseName: "websiteDB",
    host: "website",
    port: 5005,
};

let config;
switch (process.env.NODE_ENV) {
    case "production":
        config = production;
        break;
    case "development":
        config = development;
        break;
    case "github":
        config = github;
        break;
    default:
        config = development;
}
export default config;
